DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# SetInteger

Set a pixel value

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_SetInteger ( out, constant, cor, adjust )

## FUNCTION

This function set a value of a pixel at position `cor` in the image `out` to the value `constant`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `out` | Output
`dip_int` | `constant` | Constant
`dip_IntegerArray` | `cor` | Pixel coordinate
`dip_Boolean` | `adjust` | Adjust data type of output image

## SEE ALSO

`Set`, `SetFloat`, `SetComplex`, `dip__PixelSetInteger`, `dip__PixelSetFloat`, `Get`